Subject: Node Reordering needs to take unpersisted node order changes into account
Description

he error can be reproduced in the following way:

    -  First, create some nodes, and persist them.
    -  Then, move a node after another one, filling the LAST free sorting index between the nodes. Do NOT persist after that.
    -  After that, try to again move a node to this spot. In this case, we need to renumber the node indices, and the system needs to
take the before-moved node into account as well.

The bug tested by this testcase led to wrong orderings on the flow3org website in the documentation part under some circumstances.

Related issues:
related to flow3.typo3.org - Bug # 31222: Ordering of links at http://flow3.t... Resolved 2011-10-24

Associated revisions
Revision e551e35c - 2012-02-26 17:42 - Sebastian Kurfuerst

[BUGFIX] Node Reordering needs to take unpersisted node order changes into account

This bug led to wrong orderings on the flow3org website in the documentation
part under some circumstances.

Resolves: #34291
Change-Id: I2191eee73e8e02bb58cebf40017ade363d0bd503

History
#1 - 2012-02-26 17:44 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9219

#2 - 2012-02-27 02:55 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:e551e35c0c8c432e4cc3cdcffcb230064aad94ca.

#3 - 2012-05-23 11:45 - Karsten Dambekalns
- Category set to Node handling
